Subject: Re: perl 5.8.0 and spamassasin
From: Ajay Simha <[email-masked]>
To: [email-masked]
Cc: Ajay Simha <[email-masked]>
Date: Sat, 7 Jun 2003 23:19:09 -0400

On Sun Jun 08 04:02:12 2003, Elfyn McBratney wrote:
> On Sat, 7 Jun 2003, Ajay Simha wrote:
> 
> > With Perl 5.8.0 and SpamAssassin-2.55 I get:
> >
> > BEGIN failed--compilation aborted at /usr/lib/perl5/site_perl/5.8.0/Mail/SpamAssassin.pm line 62.
> > Compilation failed in require at /bin/spamassassin line 69.
> > procmail: Program failure (70) of "spamassassin"
> > procmail: Rescue of unfiltered data succeeded
> > >From asimha  Sat Jun  7 21:48:16 2003
> >  Subject: msg again
> >   Folder: /var/spool/mail/asimha
> >
> > anyone have any clues how to fix this?
> >
> > I did read something about "putting PERLIO=perlio in the environment for SA"
> >
> > but I'm not sure if that applies to my problem and also were exactly to set
> > the env?
> 
> How about
> 
>   $ PERLIO=perlio /bin/spamassassin

I start it in .procmailrc and I had:

## Spamassassin settings.
:0fw: spamassassin.lock
* < 256000
| spamassassin

I did not know whether or not it will like PERLIO=perlio after the pipe so I had
it in the beginning of .procmailrc:

# Set environmental Variables

MAILDIR=/home/asimha/mail/
FORMAIL=/usr/bin/formail
LOGFILE=/home/asimha/procmail.log

PERLIO=perlio

-ajay
> 
> ?
> 
> Elfyn
> 
> -- 
> Elfyn McBratney (mailto:[email-masked])
> Systems Administrator
> ABCtales.com / Ubertales.co.uk
> 

"From listening comes wisdom and from speaking repentance."

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/